From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/
Date: Sun, 10 Jul 2022 08:40:39 +0000 (UTC) [thread overview]
Message-ID: <1657442358.f3474d38ee4b028a820f9ad1ed37bb936e77d21f.matthew@gentoo> (raw)
commit: f3474d38ee4b028a820f9ad1ed37bb936e77d21f
Author: Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 10 08:07:05 2022 +0000
Commit: Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sun Jul 10 08:39:18 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3474d38
net-proxy/mitmproxy: add 8.1.1
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>
net-proxy/mitmproxy/Manifest | 1 +
net-proxy/mitmproxy/mitmproxy-8.1.1.ebuild | 70 ++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
index 497a6258aa77..5b883f05fa6d 100644
--- a/net-proxy/mitmproxy/Manifest
+++ b/net-proxy/mitmproxy/Manifest
@@ -1,3 +1,4 @@
DIST mitmproxy-7.0.4.tar.gz 27312748 BLAKE2B a23db472adab33db615b0daa93694211450e8899885dc75601d40a4964cc505437db6a106622eb8051263db23280261134937b6567482dd584eed29cc592e42b SHA512 4224b44e609f84b974b5419c6ceb576845957968c786ee437bffb5fa5df685ce0712d5ef8c402d40c568406242f44692cc7f04037fadd19ecece8b112d73b7ae
DIST mitmproxy-8.0.0.tar.gz 27902148 BLAKE2B 73ef46fea3a668cb4cf9992e8de969c7ccac78ac84997a82aa59c841d7b5d1dfc6df5a3bd76f910f318c191421a99bb7a24fd53b50e8529968acdae1e934f322 SHA512 abb0855322ca74ef34756db860f491b49057fd8d4fb26ffafc4038e40fe30444c6736fcff7b683e32c21a2d7339ebfeeb6eaf7b9e586b965d191a59eddfe15b6
DIST mitmproxy-8.1.0.tar.gz 27940706 BLAKE2B 6d4293f30257e88eafea21127d4f499a7734f3d450c07114f83652d73a8aaadf1523737fee96e04b1bd39d47b73263d7f62f177b5c02357b258c898ccc58a9d1 SHA512 47e0924b1fc2999cbc038295dbb43a78eef4120a31c9445aba7b1f31e90aa4d859c5e2665a429f16c5cf7a6f9f29a7d6a50bb09a1e54c2e1693714c28d5153e1
+DIST mitmproxy-8.1.1.gh.tar.gz 27943959 BLAKE2B e920ee016f3c2c1ece08924e895848d6716c60ed65ba3b0b3ac6c966cf4ac4245a31b31365d248f4b88130f787c65183943eec3611db900a4f5c2e16709c775c SHA512 a62a45f8991819202115ab8f43d1c113df88504c494c73917ec2e3c52999dbe3ac596444a4c096619d4285f2e26a91ec715d6894fc4d7768bac1a2c3c4c268bc
diff --git a/net-proxy/mitmproxy/mitmproxy-8.1.1.ebuild b/net-proxy/mitmproxy/mitmproxy-8.1.1.ebuild
new file mode 100644
index 000000000000..8c38bade37bd
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-8.1.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10} )
+PYTHON_REQ_USE="sqlite"
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="https://mitmproxy.org/"
+SRC_URI="https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+ >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2015.11.20.1[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-37.0.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/h2-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.7[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix-2.20190205[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-22.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.16[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/urwid-2.1.1[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.11.0[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.8[${PYTHON_USEDEP}]
+ >=dev-python/parver-0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # loosen dependencies
+ sed -i \
+ -e '/>/s/>.*/",/g' \
+ -e '/python_requires/d' \
+ setup.py || die
+
+ # remove failing test
+ sed -i 's/test_get_version/_&/g' test/mitmproxy/test_version.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2022-07-10 8:40 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-10 8:40 Matthew Smith [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-07 16:22 [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/ Matthew Smith
2023-03-06 16:23 Arthur Zamarin
2023-02-21 10:00 Michał Górny
2023-02-21 9:30 Sam James
2022-12-05 20:17 Arthur Zamarin
2022-11-18 8:49 Arthur Zamarin
2022-11-02 12:31 Matthew Smith
2022-09-09 9:48 Matthew Smith
2022-08-17 7:06 Agostino Sarubbo
2022-07-10 8:40 Matthew Smith
2022-07-10 6:17 Agostino Sarubbo
2022-05-21 8:17 Matthew Smith
2022-05-14 10:05 Matthew Smith
2022-04-28 17:37 Matthew Smith
2022-02-13 19:06 Matthew Smith
2022-01-21 7:08 Joonas Niilola
2021-12-04 9:45 Joonas Niilola
2021-10-31 3:00 Sam James
2021-09-17 18:19 John Helmert III
2021-09-17 9:18 Agostino Sarubbo
2021-09-16 20:23 Ionen Wolkens
2021-09-16 18:44 Ionen Wolkens
2021-09-11 8:18 Joonas Niilola
2021-08-19 1:25 Agostino Sarubbo
2021-08-07 9:08 Ionen Wolkens
2021-07-19 10:09 Ionen Wolkens
2021-05-02 12:37 Mikle Kolyada
2021-03-01 9:20 Agostino Sarubbo
2021-01-24 0:34 Sam James
2021-01-24 0:34 Sam James
2021-01-22 23:01 Sam James
2020-12-17 14:12 Joonas Niilola
2020-11-08 12:02 Sam James
2020-11-05 12:32 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-09-02 22:43 Sam James
2020-09-02 22:43 Sam James
2020-08-02 4:08 Aaron Bauman
2020-06-20 17:42 Aaron Bauman
2020-06-20 17:42 Aaron Bauman
2020-06-04 7:56 Joonas Niilola
2019-11-17 22:32 Tim Harder
2019-11-17 22:32 Tim Harder
2019-01-31 9:17 Tim Harder
2019-01-19 3:22 Thomas Deutschmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1657442358.f3474d38ee4b028a820f9ad1ed37bb936e77d21f.matthew@gentoo \
--to=matthew@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox